Automation Workflow

Fetches all automation workflow rules.

Fetches all automation workflow rules within an account in descending order of creation, with optional pagination (start and limit).

get
https://{your-bynder-domain}/api/1/automation-workflow/rules

Query Parameters

startinteger(int32)
limitinteger(int32)

Response

application/json

ListAutomationWorkflowRulesResponse

metadataobjectrequired
Show Child Parameters
rulesarray[object]
Show Child Parameters
get/rules
 
application/json

Creates a new automation workflow rule.

Creates a new automation workflow rule. Ensure that you check the available triggers, conditions, and actions to use valid options.

Use the following endpoints to check which options are available before creating a rule:

  • /triggers – lists available triggers
  • /conditions – lists available conditions
  • /actions – lists available actions
post
https://{your-bynder-domain}/api/1/automation-workflow/rules

Body

application/json

AutomationWorkflowRuleBody

namestringrequired
stepsarray[object]
Show Child Parameters
triggersarray[string]

Response

application/json

CreateAutomationWorkflowRuleResponse

account_idstringrequired
created_by_idstringrequired
date_createdstringrequired
date_modifiedstringrequired
edited_by_idstring
idstringrequired
namestringrequired
statusstringrequired
post/rules

Body

{ "name": "name" }
 
application/json

Deletes an automation workflow rule.

Deletes an automation workflow rule by its ID.

delete
https://{your-bynder-domain}/api/1/automation-workflow/rules/{ruleId}

Path Parameters

ruleIdstringrequired

Response

delete/rules/{ruleId}
 

Fetches a specific automation workflow rule.

Fetches a specific automation workflow rule.

get
https://{your-bynder-domain}/api/1/automation-workflow/rules/{ruleId}

Path Parameters

ruleIdstringrequired

Response

application/json

SingleRuleAutomationWorkflowResponse

created_by_idstringrequired
date_createdstringrequired
date_modifiedstringrequired
date_removedstring
edited_by_idstring
idstringrequired
is_validbooleanrequired
namestringrequired
statusstringrequired
stepsarray[object]
Show Child Parameters
triggersarray[string]
get/rules/{ruleId}
 
application/json

Updates an existing automation workflow rule.

Updates an existing automation workflow rule.

put
https://{your-bynder-domain}/api/1/automation-workflow/rules/{ruleId}

Path Parameters

ruleIdstringrequired

Body

application/json

EditAutomationWorkflowRuleBody

namestring
stepsarray[object]
Show Child Parameters
triggersarray[string]

Response

application/json

SingleRuleAutomationWorkflowResponse

created_by_idstringrequired
date_createdstringrequired
date_modifiedstringrequired
date_removedstring
edited_by_idstring
idstringrequired
is_validbooleanrequired
namestringrequired
statusstringrequired
stepsarray[object]
Show Child Parameters
triggersarray[string]
put/rules/{ruleId}

Body

{}
 
application/json